# This file defines regular expression patterns that can be used to
# rewrite metric names in a search & replace fashion. It consists of two
# sections, [pre] and [post]. The rules in the pre section are applied to
# metric names as soon as they are received. The post rules are applied
# after aggregation has taken place.
#
# The general form of each rule is as follows:
#
# regex-pattern = replacement-text
#
# For example:
#
# [post]
# _sum$ =
# _avg$ =
#
# These rules would strip off a suffix of _sum or _avg from any metric names
# after aggregation.
[pre]
{% for pattern in graphite_carbon_rewrite_rules_pre|default([]) %}
{{ pattern }}
{% endfor %}

[post]
{% for pattern in graphite_carbon_rewrite_rules_post|default([]) %}
{{ pattern }}
{% endfor %}